
Ceph - Bug #43095

vstart fails to start dashboard
Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Kiefer Chang   

Category: common   

Target version:    

Source:  Affected Versions: v15.0.0

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 31962

Regression: Yes Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

This is spotted during ceph dashboard tests, dashboard is not started after vstart.

export PYTHONPATH=/home/jenkins-build/build/workspace/ceph-dashboard-pull-requests/src/pybind:/hom

e/jenkins-build/build/workspace/ceph-dashboard-pull-requests/build/lib/cython_modules/lib.2:/home/

jenkins-build/build/workspace/ceph-dashboard-pull-requests/src/python-common:$PYTHONPATH

export LD_LIBRARY_PATH=/home/jenkins-build/build/workspace/ceph-dashboard-pull-requests/build/lib:

$LD_LIBRARY_PATH

alias cephfs-shell=/home/jenkins-build/build/workspace/ceph-dashboard-pull-requests/src/tools/ceph

fs/cephfs-shell

CEPH_DEV=1

2019-12-02T21:57:49.829+0000 7fc7f41a4ec0 -1 WARNING: all dangerous and experimental features are 

enabled.

2019-12-02T21:57:49.854+0000 7fc7f41a4ec0 -1 WARNING: all dangerous and experimental features are 

enabled.

2019-12-02T21:57:49.855+0000 7fc7f41a4ec0 -1 WARNING: all dangerous and experimental features are 

enabled.

{

    "user_id": "dev",

    "display_name": "Developer",

    "email": "",

    "suspended": 0,

    "max_buckets": 1000,

    "subusers": [],

    "keys": [

        {

            "user": "dev",

            "access_key": "UCAXAW3Y9O5OQCT1GBQ2",

            "secret_key": "Sh0jxNEHt7WQ2Jq2Fn2rxaTjLkpm9gC2k8ykKhkQ" 

        }

    ],

    "swift_keys": [],

    "caps": [],

    "op_mask": "read, write, delete",

    "system": "true",

    "default_placement": "",

    "default_storage_class": "",

    "placement_tags": [],

    "bucket_quota": {

        "enabled": false,

        "check_on_raw": false,

        "max_size": -1,

        "max_size_kb": 0,
        "max_objects": -1

    },

    "user_quota": {

        "enabled": false,

        "check_on_raw": false,

        "max_size": -1,

        "max_size_kb": 0,

        "max_objects": -1

    },

    "temp_url_keys": [],

    "type": "rgw",

    "mfa_ids": []

}

*** DEVELOPER MODE: setting PATH, PYTHONPATH and LD_LIBRARY_PATH ***

2019-12-02T21:57:50.613+0000 7f5fb59ce700 -1 WARNING: all dangerous and experimental features are 

enabled.

2019-12-02T21:57:50.704+0000 7f5fb59ce700 -1 WARNING: all dangerous and experimental features are 

enabled.

Error ENOTSUP: Module 'dashboard' is not enabled (required by command 'dashboard set-rgw-api-user-

id'): use `ceph mgr module enable dashboard` to enable it

 

Some failed tests:

- https://jenkins.ceph.com/job/ceph-dashboard-pull-requests/2645/console

- https://jenkins.ceph.com/job/ceph-dashboard-pull-requests/2644/console

History

#1 - 12/03/2019 06:35 AM - Kefu Chai

- Status changed from New to Fix Under Review

- Assignee set to Kiefer Chang

- Pull request ID set to 31962

#2 - 12/03/2019 08:30 AM - Kefu Chai

- Status changed from Fix Under Review to Resolved
